Bug 436812 - Event not shown in KOrganizer, when the user is attendee and invitation needs action
Summary: Event not shown in KOrganizer, when the user is attendee and invitation needs...
Status: CONFIRMED
Alias: None
Product: korganizer
Classification: Applications
Component: agendaview (weekview) (show other bugs)
Version: 5.15.3
Platform: Debian testing Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 321233 361419 444270 453344 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-05-09 06:35 UTC by Dr. Michael Hälsig
Modified: 2022-07-03 06:47 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
the two .ics files (3.81 KB, application/zip)
2021-05-09 06:35 UTC, Dr. Michael Hälsig
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. Michael Hälsig 2021-05-09 06:35:58 UTC
Created attachment 138264 [details]
the two .ics files

SUMMARY
When I import an .ics event, it is not shown in KOrganizer, although 'successfully imported'

STEPS TO REPRODUCE
1. Import 'englert.ics'. The reaction is 'successfully imported'. The event is not visible
2. Delete the ATTENDEE part with my mail address manually in the .ics file, resulting in 'englert.kurz.ics'
3. Import 'englert.kurz.ics'. The event is visible.

OBSERVED RESULT
With me as participant the event is not shown in KOrganizer.
But the event is visible e.g. in Thunderbird Calendar, Nextcloud Calendar and in my smartphone Calendar, which all are synchronized with KOrganizer via Nextcloud/caldav. 
 
If I delete me as participant manually in the .ics file, the event is shown in KOrganizer (and again in all other synchronized calendars)


EXPECTED RESULT
Event should be visible also in KOrganizer


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.20.0
KDE Frameworks Version: 5.78.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
I add the two .ics files zipped. 'englert.kurz.ics' is *after* import. Before I just deleted the lines from 'ATTENDEE;' to 'michael.haelsig@munichways.com'
Comment 1 gjditchfield 2021-05-18 21:10:27 UTC
I reproduced this in version 5.17.1.

- created an ICS file with various test events
- imported it into a Nextcloud calendar (share.kde.org)
- event where I am an attendee but not the organizer is not visible in any view
- event where I am an attendee *and* the organizer is visible
- both events are visible in the Nextcloud  web interface and in akonadiconsole
Comment 2 gjditchfield 2021-05-19 21:39:26 UTC
Note: Nextcloud is not required.  If the ICS file is imported as a new calendar, KOrganizer does not display the event where the user is an attendee.
Comment 3 gjditchfield 2021-05-20 00:19:31 UTC
KOrganizer may be behaving correctly when it does not display the event.  The attendee's Participation Status is NEEDS-ACTION, so the attendee has not accepted an invitation to the event, and it should not be displayed as if it had been accepted into a calendar.

However, should the event be displayed by Search > Open Invitations virtual calendar?

I don't see a way in Nextcloud's web interface to accept the event.  But if I import into a Google calendar, I can accept it through the web interface, and then the event shows up in KOrganizer.
Comment 4 Dr. Michael Hälsig 2021-05-20 07:10:50 UTC
This seems to be the root of the problem: KOrganizer does not display events, where I as participant have not accepted the event. 

The Use Case is the following: I get an invitation (in this case from a Microsoft dominated environment). Even when I get the 'Accept Dialogue', and accept the invitation, the event is not shown in KOrganizer, but in the other synchronized calendars. Therefore I import the .ics File, but, as we both see, the event is not shown due to the Participation Status. 

==> My conclusion: KOrganizer should display the event in any case, probably in another form, when my Participation Status is 'NEEDS ACTION', combined with the possibility to accept. I do not see a calendar view, where events of this type are included.
Comment 5 gjditchfield 2021-08-12 20:56:20 UTC
*** Bug 321233 has been marked as a duplicate of this bug. ***
Comment 6 Michael Tsang 2021-11-02 13:38:16 UTC
I can reproduce this on Kubuntu 21.10, kontact 5.18.1
Comment 7 emil.ostwald 2021-11-29 13:56:18 UTC
I can reproduce this on openSuSE Leap 15.2
For me this problem came up, when I create events on my smartphone in aCalendar+ with me as an organizer and attendee and another person as attendee. These events have the rule "PARTSTAT=NEEDS-ACTION" in raw ICS data but with the other person. So as long as the other person has not accepted the event the event is not shown.
In this way KOrganizer is in no way behaving correctly. It should show the event, which I created and accepted in my calendar with the status "pending" at the other attendee(s).
It should behave the same way as when I create an event in KOrganizer with me as an organizer and attendee and other persons as attendees, who still have to accept to the invitation.
Comment 8 Nicolas Fella 2022-02-21 22:58:14 UTC
We came to the same conclusion in https://invent.kde.org/pim/kalendar/-/issues/152

Somewhat related to this: The "Open Invitations" view that sound like it should show these events doesn't seem to work
Comment 9 Nicolas Fella 2022-02-21 23:00:36 UTC
*** Bug 361419 has been marked as a duplicate of this bug. ***
Comment 10 gjditchfield 2022-05-05 02:23:19 UTC
*** Bug 453344 has been marked as a duplicate of this bug. ***
Comment 11 Kishore Gopalakrishnan 2022-07-03 06:47:49 UTC
*** Bug 444270 has been marked as a duplicate of this bug. ***